# Get legacy kubernetes chaos infrastructure details

Get legacy kubernetes chaos infrastructure details

Endpoint: GET /gateway/chaos/manager/api/rest/kubernetes/infra/{id}
Version: 1.0
Security: 

## Path parameters:

  - `id` (string, required)
    Kubernetes Chaos Infra ID

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

## Response 200 fields (application/json):

  - `clusterType` (string)
    Cluster type Indicates the type on infrastructure (Kubernetes/openshift)
    Enum: "KUBERNETES", "OPENSHIFT", "HELM"

  - `createdAt` (string)
    Timestamp when the infra was created

  - `createdBy` (object)
    User who created the infra

  - `createdBy.email` (string)

  - `createdBy.userID` (string)

  - `createdBy.username` (string)

  - `description` (string)
    Description of the infra

  - `environmentID` (string)
    Environment ID for the infra

  - `infraID` (string)
    ID of the infra

  - `infraNamespace` (string)
    Namespace where the infra is being installed

  - `infraNsExists` (boolean)
    Bool value indicating whether infra ns used already exists on infra or not

  - `infraSaExists` (boolean)
    Bool value indicating whether service account used already exists on infra or not

  - `infraScope` (string)
    Scope of the infra : ns or cluster
    Enum: "namespace", "cluster"

  - `infraType` (string)
    Type of the infrastructure
    Enum: "Kubernetes", "KubernetesV2", "Windows", "Linux", "CloudFoundry", "Container"

  - `installationType` (string)
    InstallationType connector/manifest
    Enum: "CONNECTOR", "MANIFEST", "CONNECTORV2"

  - `isActive` (boolean)
    Boolean value indicating if chaos infrastructure is active or not

  - `isInfraConfirmed` (boolean)
    Boolean value indicating if chaos infrastructure is confirmed or not

  - `isRemoved` (boolean)
    Boolean value indicating if chaos infrastructure is removed or not

  - `isSecretEnabled` (boolean)
    Tune secret for infra

  - `k8sConnectorID` (string)
    K8sConnectorID

  - `lastHeartbeat` (string)
    Last Heartbeat status sent by the infra

  - `lastWorkflowTimestamp` (string)
    Timestamp of the last workflow run in the infra

  - `name` (string)
    Name of the infra

  - `noOfSchedules` (integer)
    Number of schedules created in the infra

  - `noOfWorkflows` (integer)
    Number of workflows run in the infra

  - `platformName` (string)
    Infra Platform Name eg. GKE,AWS, Others

  - `runAsGroup` (integer)
    set the user group for security context in pod

  - `runAsUser` (integer)
    set the user for security context in pod

  - `serviceAccount` (string)
    Name of service account used by infra

  - `startTime` (string)
    Timestamp when the infra got connected

  - `tags` (array)
    Tags of the infra

  - `token` (string)
    Token used to verify and retrieve the infra manifest

  - `updateStatus` (string)
    update status of infra
    Enum: "AVAILABLE", "MANDATORY", "NOT_REQUIRED"

  - `updatedAt` (string)
    Timestamp when the infra was last updated

  - `updatedBy` (object)
    User who has updated the infra

  - `updatedBy.email` (string)

  - `updatedBy.userID` (string)

  - `updatedBy.username` (string)

  - `upgrade` (object)
    Upgrade struct for the chaos infrastructure

  - `upgrade.isAutoUpgradeEnabled` (boolean)

  - `upgrade.status` (string)
    Enum: "UPGRADING_INFRA", "UPGRADE_SKIPPED", "UPGRADE_SUCCESSFUL", "UPGRADE_FAILED", "DETECTING_UPGRADER", "UPGRADER_DISABLED"

  - `version` (string)
    Version of the infra

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


